#ifndef CLEAN_H
#define CLEAN_H

///////////////////////////////////////////////////////////////
//                                                           //
// clean.h - traverse subtree below specified Directory      //
//                                                           //
// Developed By Qiang Zheng From Dr. Fawcett's example.		 //
// Apr. 08 1999												 //
//															 //
///////////////////////////////////////////////////////////////

#include <iostream>
#include <iomanip>
#include <cstring> 
#include <windows.h>
#include <string.h>
#include <stack>
#include "dirNav.h"

using namespace std;

// This virtual class is the base class of required "CLEAN" and "DUPS"
// class, i.e. it is a public interface	
class clean : public dirNav {
	stack< char > userReplyStack;
	void cleanFile( const char * fName );
	char getUserAnswer();
public:
	// Constructor and destructor
	 clean() {/* userReplyStack = new stack< char >; */}
	 ~clean() { /*delete userReplyStack; */ }
	// Implement the virtual function in dirNav class.
	// Get user's reply about if the nonessential files in this directory
	// can be deleted and push the reply to a userReplayStack
	void enterDir();

	// Pop user's instruction off the userReplayStack when leaving a directory
	void leaveDir(){ userReplyStack.pop(); }

	void processFile(const char * fName);

	// this function is to get the user instruction about if 
	// the action can be performed automatically in the subdirectories
	// char getUserAnswer( const bool confirm );

	// Special actions to be performed when files are encountered
	// this virtual function has to be implemented by the derived class
	// void performF( const char * fName, const char userAnswer );
};

#endif